%define api 1.0
%define major 2
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name
Name:           gupnp-av
Version:        0.5.5
Release:        %mkrel 1
Summary:        A collection of helpers for building UPnP AV applications

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk-doc
BuildRequires: gupnp-devel
BuildRequires: gobject-introspection-devel
#gw TODO: remove this
BuildRequires: gir-repository

%description
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video) 
applications using GUPnP.

%package -n %libname
Summary: A collection of helpers for building UPnP AV applications
Group: System/Libraries

%description -n %libname
GUPnP is an object-oriented open source framework for creating UPnP
devices and control points, written in C using GObject and libsoup.
The GUPnP API is intended to be easy to use, efficient and flexible.

GUPnP-AV is a collection of helpers for building AV (audio/video) 
applications using GUPnP.


%package -n %develname
Summary: Development package for gupnp-av
Group: Development/C
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Files for development with gupnp-av.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdvver < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgupnp-av-%api.so.%{major}*
%_libdir/girepository-1.0/GUPnPAV-%api.typelib

%files -n %develname
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gupnp-av/
%{_includedir}/gupnp-av-%api
%{_libdir}/pkgconfig/gupnp-av-%api.pc
%{_libdir}/libgupnp-av-%api.so
%{_libdir}/libgupnp-av-%api.la
%_datadir/gir-1.0/GUPnPAV-%api.gir


%changelog
* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 533732
- update build deps
- new version
- add introspection support

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 500959
- update to new version 0.5.4

* Sun Nov 22 2009 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 469084
- update to new version 0.5.2

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 445564
- Update to new version 0.5.1 (new major)

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 386876
- update to new version 0.4.1

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 368987
- new version

* Fri Feb 06 2009 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 338042
- update to new version 0.3.1

* Thu Jan 15 2009 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2009.1
+ Revision: 329665
- new version
- drop patch

* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 328910
- import gupnp-av


* Tue Jan 13 2009 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2009.1
- fix format string
- adapt for Mandriva

* Thu Dec 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-7
- Add gtk-doc build req

* Mon Dec 1 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-6
- Fix directory ownership

* Sat Nov 22 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-5
- Update package summary

* Mon Oct 20 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-4
- Add some requires for the devel package

* Fri Aug 29 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-3
- Some spec file cleanups

* Tue Jun 17 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-2
- Fix build on rawhide

* Tue Jun 17 2008 Peter Robinson <pbrobinson@gmail.com> 0.2.1-1
- Initial release
